<!--
 * @Author: liuJie
 * @Date: 2026-02-03 17:55:50
 * @LastEditors: liuJie
 * @LastEditTime: 2026-02-26 15:00:23
 * @Describe: file describe
-->
<template>
  <div class="safety-platform-container">
    <header class="safety-platform-container__header">
      <BreadcrumbBack />
      <span class="breadcrumb-title">{{ headerTitle }}</span>
    </header>
    <EducationTrainingPlanManagementDetail />
  </div>
</template>

<script setup lang="ts">
  import { computed } from 'vue';
  import { useRoute } from 'vue-router';
  import BreadcrumbBack from '@/components/BreadcrumbBack.vue';
  import EducationTrainingPlanManagementDetail from './components/educationTrainingPlanManagementDetail.vue';

  const route = useRoute();
  const operate = route.query.operate as string;

  const headerTitle = computed(() => {
    switch (operate) {
      case 'education-training-plan-management-create':
        return '新增教育培训计划（管理员）';
      case 'education-training-plan-management-edit':
        return '编辑教育培训计划（管理员）';
      case 'education-training-plan-management-view':
        return '查看教育培训计划（管理员）';
      default:
        return '未知操作';
    }
  });
</script>

<style scoped lang="scss">
  @use '@/styles/page-details-layout.scss' as *;
  @use '@/styles/page-main-layout.scss' as *;

  .safety-platform-container__header {
    flex-direction: row !important;
    justify-content: flex-start !important;
    gap: 8px !important;
  }
</style>
